Uploaded image for project: 'Phoenix'
  1. Phoenix
  2. PHOENIX-4788

Shade Joda libraries in phoenix-server to avoid conflict with hbase shell

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.0.0-alpha
    • Fix Version/s: 5.0.0
    • Labels:
      None

      Description

      HBase-2.0 shell doesn't work if phoenix-server.jar is in classpath

      RuntimeError: Can't load hbase shell command: list_snapshots. Error: Java method not found: org.joda.time.DateTime.compareTo(org.joda.time.ReadableInstant)
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/date.rb:1406:in `<class:DateTime>'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/date.rb:1405:in `<class:Date>'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/date.rb:229:in `<main>'
      org/jruby/RubyKernel.java:956:in `require'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/rubygems/core_ext/kernel_require.rb:55:in `require'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/time.rb:1:in `<main>'
      org/jruby/RubyKernel.java:956:in `require'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/rubygems/core_ext/kernel_require.rb:55:in `require'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/time.rb:3:in `<main>'
      org/jruby/RubyKernel.java:956:in `require'
      uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/rubygems/core_ext/kernel_require.rb:55:in `require'
      /Users/asinghal/git/hortonworks/hbase/hbase-shell/src/main/ruby/shell.rb:41:in `load_command'
      /Users/asinghal/git/hortonworks/hbase/hbase-shell/src/main/ruby/shell.rb:66:in `block in load_command_group'
      org/jruby/RubyArray.java:1735:in `each'
      /Users/asinghal/git/hortonworks/hbase/hbase-shell/src/main/ruby/shell/commands/list_snapshots.rb:1:in `(root)'
      /Users/asinghal/git/hortonworks/hbase/hbase-shell/src/main/ruby/shell/commands/list_snapshots.rb:19:in `<main>'
      org/jruby/RubyKernel.java:956:in `require'
      /Users/asinghal/git/hortonworks/hbase/hbase-shell/src/main/ruby/shell.rb:1:in `(root)'

        Attachments

        1. PHOENIX-4788.patch
          2 kB
          Ankit Singhal

          Activity

            People

            • Assignee:
              ankit@apache.org Ankit Singhal
              Reporter:
              ankit@apache.org Ankit Singhal
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: